Page MenuHomePhabricator

Adjust WikibaseQuality external validation for changes in data type registration
Closed, ResolvedPublic

Description

https://integration.wikimedia.org/ci/job/mwext-testextension-zend/16228/console

10:11:22 1) WikibaseQuality\ExternalValidation\Tests\CrossCheck\ValueParser\ComparativeValueParserFactoryTest::testNewComparativeStringValueParser
10:11:22 Wikimedia\Assert\ParameterAssertionException: Bad value for parameter $dataTypeDefinitions[monolingualtext]: Key must start with a prefix like "PT:" or "VT:".
10:11:22
10:11:22 /mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/vendor/wikimedia/assert/src/Assert.php:63
10:11:22 /mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/Wikidata/extensions/Wikibase/lib/includes/DataTypeDefinitions.php:77
10:11:22 /mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/Wikidata/extensions/Wikibase/lib/includes/DataTypeDefinitions.php:60
10:11:22 /mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/Wikidata/extensions/ExternalValidation/tests/phpunit/CrossCheck/ValueParser/ComparativeValueParserFactoryTest.php:49
10:11:22 /mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/Wikidata/extensions/ExternalValidation/tests/phpunit/CrossCheck/ValueParser/ComparativeValueParserFactoryTest.php:22
10:11:22 /mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/tests/phpunit/MediaWikiTestCase.php:137
10:11:22
10:11:22 2) WikibaseQuality\ExternalValidation\Tests\CrossCheck\ValueParser\ComparativeValueParserFactoryTest::testNewComparativeMultilingualTextValueParser
10:11:22 Wikimedia\Assert\ParameterAssertionException: Bad value for parameter $dataTypeDefinitions[monolingualtext]: Key must start with a prefix like "PT:" or "VT:".
10:11:22
10:11:22 /mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/vendor/wikimedia/assert/src/Assert.php:63
10:11:22 /mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/Wikidata/extensions/Wikibase/lib/includes/DataTypeDefinitions.php:77
10:11:22 /mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/Wikidata/extensions/Wikibase/lib/includes/DataTypeDefinitions.php:60
10:11:22 /mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/Wikidata/extensions/ExternalValidation/tests/phpunit/CrossCheck/ValueParser/ComparativeValueParserFactoryTest.php:49
10:11:22 /mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/Wikidata/extensions/ExternalValidation/tests/phpunit/CrossCheck/ValueParser/ComparativeValueParserFactoryTest.php:27
10:11:22 /mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/tests/phpunit/MediaWikiTestCase.php:137
10:11:22
10:11:22 3) WikibaseQuality\ExternalValidation\Tests\CrossCheck\ValueParser\ComparativeValueParserFactoryTest::testNewComparativeValueParser
10:11:22 Wikimedia\Assert\ParameterAssertionException: Bad value for parameter $dataTypeDefinitions[monolingualtext]: Key must start with a prefix like "PT:" or "VT:".
10:11:22
10:11:22 /mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/vendor/wikimedia/assert/src/Assert.php:63
10:11:22 /mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/Wikidata/extensions/Wikibase/lib/includes/DataTypeDefinitions.php:77
10:11:22 /mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/Wikidata/extensions/Wikibase/lib/includes/DataTypeDefinitions.php:60
10:11:22 /mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/Wikidata/extensions/ExternalValidation/tests/phpunit/CrossCheck/ValueParser/ComparativeValueParserFactoryTest.php:49
10:11:22 /mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/extensions/Wikidata/extensions/ExternalValidation/tests/phpunit/CrossCheck/ValueParser/ComparativeValueParserFactoryTest.php:32
10:11:22 /mnt/jenkins-workspace/workspace/mwext-testextension-zend/src/tests/phpunit/MediaWikiTestCase.php:137

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

aude created this task.Dec 7 2015, 10:32 AM
aude raised the priority of this task from to High.
aude updated the task description. (Show Details)
aude added a subscriber: aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 7 2015, 10:32 AM
aude set Security to None.
aude moved this task from Doing to Backlog on the Wikidata-Sprint-2015-12-01 board.

Change 257505 had a related patch set (by Aude) published:
Adjust ExternalValidation for changes in Wikibase data types

https://gerrit.wikimedia.org/r/257505

aude claimed this task.Dec 8 2015, 12:45 AM
aude moved this task from Backlog to Review on the Wikidata-Sprint-2015-12-01 board.

Change 257505 merged by jenkins-bot:
Adjust ExternalValidation for changes in Wikibase data types

https://gerrit.wikimedia.org/r/257505

JanZerebecki closed this task as Resolved.Dec 10 2015, 1:18 PM
JanZerebecki moved this task from Review to Done on the Wikidata-Sprint-2015-12-01 board.